Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004872 [JEDI VCL] 00 JVCL Components crash always 2009-07-23 03:46 2009-08-05 13:50
Reporter mazjac View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.37
Summary 0004872: Right click in TJvCheckedCombBox causes Stack Overflow.when Popup window open.
Description To reproduce the problem in the attached JVTest-OriginalCode.exe.

1. Click on the DropDown Button on the CheckedComboBox.
2. Then click with the Right Mouse button in the CheckComboBox edit control.

Program crashes, Stack Overflow error.

If item is (de)selected in drop down box either by Menu item or checkbox then crash does not occur. I could not see in the code why this makes the problem go away.

P.S. Thanks to Glen for find the problem.



Additional Information To work around the problem I changed the following. Both the DateEdit and ComboBox then behave the same as in JVTest-FixedCode.exe.

procedure TJvCustomComboEdit.MouseDown(Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  if (FPopup <> nil) and (Button = mbLeft) then
  begin
    if CanFocus then
      SetFocus;
    if not FFocused then
      Exit;
    if FPopupVisible then
      PopupCloseUp(FPopup, False);
    {else
     if (not ReadOnly or AlwaysEnable) and (not DirectInput) then
       PopupDropDown(True);}
  end;

// Added 23/07/2009
// Fixed Bug if Right Mouse Button is pressed in control
// Could check if FPopup.ClassName is TjvPrivForm as used in CheckedComboBox.
  if (FPopup <> nil) and FPopupVisible and (Button = mbRight) then
    begin
      PopupCloseUp(FPopup, False);
    end
  else
// End of Added Code.
    inherited MouseDown(Button, Shift, X, Y);
end;
Tags No tags attached.
Attached Files zip file icon JVTestProjects.zip [^] (921,688 bytes) 2009-07-23 03:46
zip file icon jvtest.zip [^] (4,898 bytes) 2009-07-24 08:07

- Relationships

-  Notes
(0015880)
obones (administrator)
2009-07-23 09:04

Please, we need the sources, not the exe
(0015888)
mazjac (reporter)
2009-07-24 08:10

I have just upload the source code.

Delphi 2007 Project.
JVCL : 3.37 (3.34 exhibited same problem)

Same source for both projects, one compiled with existing JVCL code, the other with code as noted above.
(0015933)
obones (administrator)
2009-08-05 13:50

This is now fixed in SVN, with a slightly different approach

- Issue History
Date Modified Username Field Change
2009-07-23 03:46 mazjac New Issue
2009-07-23 03:46 mazjac File Added: JVTestProjects.zip
2009-07-23 09:04 obones Note Added: 0015880
2009-07-23 09:04 obones Status new => feedback
2009-07-24 08:07 mazjac File Added: jvtest.zip
2009-07-24 08:10 mazjac Note Added: 0015888
2009-08-05 13:50 obones Note Added: 0015933
2009-08-05 13:50 obones Status feedback => resolved
2009-08-05 13:50 obones Fixed in Version => Daily / SVN
2009-08-05 13:50 obones Resolution open => fixed
2009-08-05 13:50 obones Assigned To => obones


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker